Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface AvailableSituation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable, SituationType

All Known Implementing Classes:
  AvailableSituationImpl

public interface AvailableSituation
extends SituationType

A representation of the model object 'Available Situation'.

The AvailableSituation deals with the situations reported from the component regarding its operational state and availability. This situation provides a context for operations that can be performed on the component by distinguishing if a product is installed, operational, and ready to process functional requests. Or, operational and ready/not ready to process management requests. Existing messages include words like those that indicate it is ready to take requests, both online and offline. For example:

`ADMC0013I: SOAP connector available at port 8880
ADMC0026I: RMI Connector available at port 2809`

Since:
  1.0.1

  The following features are supported:

  - `Operation Disposition`
  - `Availability Disposition`
  - `Processing Disposition`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getAvailableSituation()`

Method Summary
`java.lang.String` | `getAvailabilityDisposition()` Returns the value of the 'Availability Disposition' attribute.
`java.lang.String` | `getOperationDisposition()` Returns the value of the 'Operation Disposition' attribute.
`java.lang.String` | `getProcessingDisposition()` Returns the value of the 'Processing Disposition' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setAvailabilityDisposition(java.lang.String value)` Sets the value of the '`Availability Disposition`' attribute.
`void` | `setOperationDisposition(java.lang.String value)` Sets the value of the '`Operation Disposition`' attribute.
`void` | `setProcessingDisposition(java.lang.String value)` Sets the value of the '`Processing Disposition`' attribute.

Methods inherited from interface org.eclipse.hyades.logging.events.cbe.SituationType
`getReasoningScope, setReasoningScope, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOperationDisposition

    public java.lang.String getOperationDisposition()

  Returns the value of the 'Operation Disposition' attribute.

  Returns:
    the value of the 'Operation Disposition' attribute.
  See Also:
    `setOperationDisposition(String)`, `EventPackage.getAvailableSituation_OperationDisposition()`

### setOperationDisposition

    public void setOperationDisposition(java.lang.String value)

  Sets the value of the '`Operation Disposition`' attribute.

  This property specifies the operational state of the component reported by the situation. The operationalDisposition is a string with the values such as:

  - STARTABLE
  - NONSTARTABLE

  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Operation Disposition' attribute.
  See Also:
    `getOperationDisposition()`

### getAvailabilityDisposition

    public java.lang.String getAvailabilityDisposition()

  Returns the value of the 'Availability Disposition' attribute.

  Returns:
    the value of the 'Availability Disposition' attribute.
  See Also:
    `setAvailabilityDisposition(String)`, `EventPackage.getAvailableSituation_AvailabilityDisposition()`

### setAvailabilityDisposition

    public void setAvailabilityDisposition(java.lang.String value)

  Sets the value of the '`Availability Disposition`' attribute.

  This property specifies the availability disposition of an entity or component that caused the situation to be reported.

  The availabilityDisposition is a string with the following set of values:

  - AVAILABLE
  - NOT AVAILABLE
  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Availability Disposition' attribute.
  See Also:
    `getAvailabilityDisposition()`

### getProcessingDisposition

    public java.lang.String getProcessingDisposition()

  Returns the value of the 'Processing Disposition' attribute.

  Returns:
    the value of the 'Processing Disposition' attribute.
  See Also:
    `setProcessingDisposition(String)`, `EventPackage.getAvailableSituation_ProcessingDisposition()`

### setProcessingDisposition

    public void setProcessingDisposition(java.lang.String value)

  Sets the value of the '`Processing Disposition`' attribute.

  This property specifies the processing disposition of a component operation that caused the situation to be reported.

  The processingDisposition is a string with the following set of values:

  - FUNCTION_PROCESS
  - FUNCTION_BLOCK
  - MGMTTASK_PROCESS
  - MGMTTASK_BLOCKED
  This is a required property and once it is set it must not change. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Processing Disposition' attribute.
  See Also:
    `getProcessingDisposition()`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `SituationType`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD